Package org.apache.jmeter.testbeans.gui

# Class IntegerPropertyEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.apache.jmeter.testbeans.gui.IntegerPropertyEditor

All Implemented Interfaces:
  `PropertyEditor`

public class IntegerPropertyEditor extends PropertyEditorSupport
Property Editor which handles Integer properties. Uses `Integer.decode(String)` so supports hex and octal input.

## Constructor Summary

Constructors
Constructor
Description
`IntegerPropertyEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAsText(String text)`
`void`
`setValue(Object value)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntegerPropertyEditor

public IntegerPropertyEditor()

## Method Details

### setAsText

public void setAsText(String text)

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `PropertyEditor`
Overrides:
  `setValue` in class `PropertyEditorSupport`